Bug 800048 - 20second vnc connection delay in rhel6 environment
20second vnc connection delay in rhel6 environment
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tigervnc (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 11:44 EST by gregrwm
Modified: 2014-10-23 10:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-23 10:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gregrwm 2012-03-05 11:44:22 EST
Description of problem:  connecting vncviewer to Xvnc via rhel6/sshd portforward causes curious 20second delay before vnc password is requested.  no such delay via rhel4/sshd.

Version-Release number of selected component (if applicable):
kernel-2.6.32-220.4.1.el6.x86_64

How reproducible:  always

Steps to Reproduce:
1.  connect ssh -L5904:localhost:5909 to rhel4/sshd
1.  connect ssh -L5906:localhost:5909 to rhel6/sshd
2.  connect vncviewer via rhel4
2.  connect vncviewer via rhel6
  
Actual results:  connecting vncviewer via rhel6/sshd always get 20second delay before vncviewer requests password.  no such delay via rhel4/sshd.  doesn't matter whether Xvnc is rhel4/5/6.

Expected results:  no delay

Additional info:  i also see 20second delay launching virt-viewer inside rhel6 Xvnc, that transaction is entirely local to the rhel6 server, sshd is not a party to that transaction.  all Xvnc sessions are running twm.
Comment 2 gregrwm 2012-03-05 12:13:34 EST
run rhel6 kernel
run rhel4 in a chroot:
mount  --bind /tmp  /<rhel4>/tmp
mount --rbind /dev  /<rhel4>/dev
mount --rbind /sys  /<rhel4>/sys
mount --rbind /proc /<rhel4>/proc
run Xvnc in rhel4 chroot
connect vncviewer (via portforward via rhel6 sshd)
copy ~/.Xauthority from rhel4 to rhel6 home directory
launch xterm in (rhel4) Xvnc
launch xterm from within that xterm
launch DISPLAY=localhost:<display> from rhel6
launch xterm from within that xterm

the rhel4 xterms display immediately
the rhel6 xterms display after 20second delays.  why?
Comment 4 Suzanne Yeghiayan 2012-03-07 16:28:46 EST
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.
Comment 5 RHEL Product and Program Management 2012-09-07 01:38:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 7 Petr Lautrbach 2014-05-26 03:56:41 EDT
Since the original report is alread two years old, I'd like to ask is it still an issue with the latest RHEL updates? 

According to comment #c2, sshd is only used as port forwarder. How? Is the portfowarding channel already established? Is there any delay when you try to connect to forwarded port using netcat/telnet?
Comment 8 gregrwm 2014-05-28 19:44:58 EDT
the problem was obviated by using ubuntu vnc instead of rhel6.  sorry i no longer have rhel6 vnc handy for testing.

Note You need to log in before you can comment on or make changes to this bug.